Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(16)

Issue 2457443003: Move Ozone developer documentation into the chromium tree (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
12 months ago by fwang
Modified:
11 months, 3 weeks ago
Reviewers:
rjkroege, spang
CC:
chromium-reviews, tonikitoo, kylechar
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Move Ozone developer documentation into the chromium tree The Ozone Overview [1] is a bit old. We convert it to Markdown and move it into the docs/ directory so that it will be easier to maintain in the future. We also update a bit that documentation. [1] https://www.chromium.org/developers/design-documents/ozone BUG=None Committed: https://crrev.com/8491a61260b848bed524bee5ee4ce7c3dcc09ec1 Cr-Commit-Position: refs/heads/master@{#428808}

Patch Set 1 #

Patch Set 2 : Add text description to the Ozone/caca image. #

Patch Set 3 : Update the list of Ozone classes instantiated by an Ozone platform. #

Patch Set 4 : Reorganize a bit the sections and remove the "coming soon" one. #

Patch Set 5 : Update information about the caca platform. #

Patch Set 6 : Update instructions for out-of-tree ports. #

Patch Set 7 : Update Ozone build and run instructions. #

Patch Set 8 : Add more information about the Wayland platform. #

Patch Set 9 : Some final tweaks. #

Total comments: 24

Patch Set 10 : Address some of the review feedback (others delayed in follow-up CLs). #

Messages

Total messages: 12 (3 generated)
fwang
12 months ago (2016-10-27 10:08:56 UTC) #1
fwang
PTAL
12 months ago (2016-10-28 16:25:45 UTC) #3
rjkroege
Thanks so much for doing this. Better docs at last! https://codereview.chromium.org/2457443003/diff/160001/docs/ozone_overview.md File docs/ozone_overview.md (right): https://codereview.chromium.org/2457443003/diff/160001/docs/ozone_overview.md#newcode4 ...
12 months ago (2016-10-28 20:22:13 UTC) #4
fwang
Thanks for the review Robert! https://codereview.chromium.org/2457443003/diff/160001/docs/ozone_overview.md File docs/ozone_overview.md (right): https://codereview.chromium.org/2457443003/diff/160001/docs/ozone_overview.md#newcode4 docs/ozone_overview.md:4: used for low level ...
11 months, 3 weeks ago (2016-10-31 10:42:51 UTC) #5
rjkroege
lgtm I'm ok with you landing this. We'll add more docs. https://codereview.chromium.org/2457443003/diff/160001/docs/ozone_overview.md File docs/ozone_overview.md (right): ...
11 months, 3 weeks ago (2016-10-31 20:36:49 UTC) #6
fwang
https://codereview.chromium.org/2457443003/diff/160001/docs/ozone_overview.md File docs/ozone_overview.md (right): https://codereview.chromium.org/2457443003/diff/160001/docs/ozone_overview.md#newcode128 docs/ozone_overview.md:128: ./out/OzoneChromeOS/chrome --ozone-platform=x11 --no-sandbox Mmh, I don't think *chrome* runs ...
11 months, 3 weeks ago (2016-10-31 20:45:36 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2457443003/180001
11 months, 3 weeks ago (2016-10-31 20:46:34 UTC) #9
commit-bot: I haz the power
Committed patchset #10 (id:180001)
11 months, 3 weeks ago (2016-10-31 21:01:01 UTC) #10
commit-bot: I haz the power
11 months, 3 weeks ago (2016-10-31 21:02:24 UTC) #12
Message was sent while issue was closed.
Patchset 10 (id:??) landed as
https://crrev.com/8491a61260b848bed524bee5ee4ce7c3dcc09ec1
Cr-Commit-Position: refs/heads/master@{#428808}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa